# Bundle Simulation Errors

### Common Error Messages

<table data-full-width="true"><thead><tr><th>Error/Revert Message</th><th>Potential Causes</th><th>Solution</th></tr></thead><tbody><tr><td>Invalid Inclusion</td><td>Bundle was submitted too late to be included in the current block.</td><td>Retry after a few seconds.</td></tr><tr><td>Tx Failed</td><td>Incorrect open trading function</td><td>Ensure the function you selected matches the one in your contract.</td></tr><tr><td>TransferHelper: TRANSFER_FROM_FAILED</td><td>Insufficient Token balance in the contract </td><td>Ensure the contract has been sent enough Tokens to execute the liquidity addition.</td></tr><tr><td>UniswapV2Router: EXCESSIVE_INPUT_AMOUNT</td><td>Incorrect initial ETH or Token liquidity percentage</td><td>Your 'Initial Token Liquidity %' might be too high, or the ETH liquidity entered doesn't match the amount in your contract (for preloaded contracts). Double-check your inputs or contact us for support if needed.</td></tr><tr><td>UniswapV2Library: INSUFFICIENT_LIQUIDITY</td><td>Liquidity has not been added to a non preloaded contract or the token pair been attacked with WETH.</td><td>Add liquidity before opening trading. If the token pair has been attacked with WETH, contact our team for support.</td></tr><tr><td>UniswapV2: TRANSFER_FAILED</td><td>Exceeding max transaction or max wallet limit</td><td>Ensure the max transaction set in your bundle does not exceed the max transaction limits in your contract.</td></tr><tr><td>ds-math-sub-underflow</td><td>Insufficient ETH balance in the contract</td><td>Ensure the contract has enough ETH to perform the liquidity addition.</td></tr></tbody></table>

### Need More Help?

If you are still experiencing issues, feel free to [contact us on Telegram](https://t.me/bundlefren) or check out the [step by step guide ](https://bundlefren.gitbook.io/docs/bundle-setup/token-details)for further details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bundlefren.com/v1/troubleshooting/bundle-simulation-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
